/* Mathematiques de l'informatique graphique    */
/* Coordonnees homogenes generiques             */
/*                                              */
/* Auteur: Nicolas JANEY                        */
/* nicolas.janey@univ-fcomte.fr                 */
/* Octobre 2012                                 */

#include <stdlib.h>
#include <stdio.h>
#include <math.h>

#include "CoordonneesHomogenes.h"

/* Constructeurs                                */

CoordonneesHomogenes::CoordonneesHomogenes(int n) {
  c =(double *) calloc(n,sizeof(double));
  this->n = n;
}

/* Destructeur                                  */

CoordonneesHomogenes::~CoordonneesHomogenes(void) {
  free(c);
}

/* Methode d'affichage texte                    */

void CoordonneesHomogenes::print(void) {
  printf("%8.3lf",c[0]);
  for ( int i = 1 ; i < n ; i++ )
    printf(" %8.3lf",c[i]);
}
